Bug 991086 - Dist-geo-rep: Invalid slave url (::: three or more colons) error out with unclear error message.
Dist-geo-rep: Invalid slave url (::: three or more colons) error out with un...
Status: CLOSED EOL
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication (Show other bugs)
2.1
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
storage-qa-internal@redhat.com
usability
:
Depends On:
Blocks: 1098991 1285192
  Show dependency treegraph
 
Reported: 2013-08-01 11:00 EDT by M S Vishwanath Bhat
Modified: 2016-05-31 21:57 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1098991 1285192 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description M S Vishwanath Bhat 2013-08-01 11:00:03 EDT
Description of problem:
While creating the geo-rep session, invalid slave url with single colon (:) gives proper and clear error message. But specifying three or more colons (:::) gives unclear error message.

Version-Release number of selected component (if applicable):
glusterfs-3.4.0.14rhs-1.el6rhs.x86_64

How reproducible:
Always

Steps to Reproduce:
1. gluster v geo master_vol slave_node:slave_vol create
2. gluster v geo master_vol slave_node:::slave_vol create

Actual results:
After step 1

[root@spitfire ]# gluster v geo master lightning:slave create
lightning:slave is not a valid slave url.
geo-replication command failed

[root@spitfire ]# gluster v geo master lightning:::slave create
Unable to create /var/lib/glusterd/geo-replication/master-:slave/ssh%3A%2F%2Froot%4010.70.43.145%3Agluster%3A%2F%2F127.0.0.1%3A%3Aslave.status. Error : Bad file descriptor
geo-replication command failed


Expected results:
It should say the slave url is not valid.

Additional info:
Comment 2 Nagaprasad Sathyanarayana 2014-05-06 07:43:43 EDT
Dev ack to 3.0 RHS BZs
Comment 3 Aravinda VK 2014-05-19 06:18:01 EDT
Upstream patch sent
http://review.gluster.org/#/c/7796/
Comment 6 Aravinda VK 2015-11-25 03:50:59 EST
Closing this bug since RHGS 2.1 release reached EOL. Required bugs are cloned to RHGS 3.1. Please re-open this issue if found again.
Comment 7 Aravinda VK 2015-11-25 03:52:13 EST
Closing this bug since RHGS 2.1 release reached EOL. Required bugs are cloned to RHGS 3.1. Please re-open this issue if found again.

Note You need to log in before you can comment on or make changes to this bug.